import es, playerlib, popuplib

# BEGIN CONFIG
colors_command = '!colors'
enable_invisible = 1 # Enables players to use invisible color - 0 = Off, 1 = On
# END CONFIG

# Addon Info
info = es.AddonInfo()
info['name']           = "Crazy Colors"
info['version']        = "1.1"
info['author']         = "Undead"
info['url']            = "http://forums.mattie.info"
info['description']    = "Fun Script that allows players to change their color"

es.ServerVar('crazy_colors', info['version'], info['description']).makepublic()

def load():
    # Register !colors command
    if not es.exists('saycommand', 'colors_command'):
        es.regsaycmd(colors_command, 'crazy_colors/colors_menu')
    # Create Colors Popup Menu in Memory
    colors = popuplib.easymenu('colors', '_popup_choice', _select_color)
    colors.settitle("Select a Color:")
    colors.addoption('1', "Normal")
    if enable_invisible = 1: colors.addoption('2', "Invisible")
    colors.addoption('3', "Green")
    colors.addoption('4', "Orange")
    colors.addoption('5', "Purple")
    colors.addoption('6', "Blue")
    colors.addoption('7', "Red")
    colors.addoption('8', "Black")
    colors.addoption('9', "Yellow")
    colors.addoption('10', "Light Blue")
    colors.addoption('11', "Pink")
    colors.addoption('12', "Brown")
    colors.addoption('13', "Grey")
    colors.addoption('14', "Lime")
    colors.addoption('15', "Navy")
    colors.addoption('16', "Peach")
    colors.addoption('17', "Maroon")
    es.msg('#multi #green[Crazy Colors] #defaultby #lightgreenUndead #defaulthas been loaded!')

# Colors Menu
def _select_color(userid, choice, name):
    user = playerlib.getPlayer(userid)
    if choice == '1':
        user.set("color", [255, 255, 255])
    elif choice == '2':
        user.set("color", [255, 255, 255, 0])
    elif choice == '3':
        user.set("color", [0, 128, 0])
    elif choice == '4':
        user.set("color", [255, 128, 0])
    elif choice == '5':
        user.set("color", [128, 0, 128])
    elif choice == '6':
        user.set("color", [0, 0, 255])
    elif choice == '7':
        user.set("color", [255, 0, 0])
    elif choice == '8':
        user.set("color", [0, 0, 64])
    elif choice == '9':
        user.set("color", [255, 255, 0])
    elif choice == '10':
        user.set("color", [0, 255, 255])
    elif choice == '11':
        user.set("color", [255, 0, 128])
    elif choice == '12':
        user.set("color", [128, 64, 0])
    elif choice == '13':
        user.set("color", [128, 128, 128])
    elif choice == '14':
        user.set("color", [0, 255, 0])
    elif choice == '15':
        user.set("color", [255, 255, 255])
    elif choice == '16':
        user.set("color", [255, 128, 128])
    elif choice == '17':
        user.set("color", [128, 0, 0])

# Send Colors Menu to Command User
def colors_menu():
    popuplib.send('colors', es.getcmduserid())

def player_activate(ev):
    gamethread.delayed(2.5, es.tell(ev['userid'], "This Server is running Crazy Colors. The Command is: %s" %colors_command))

def unload():
    # Unregister !colors command
    if es.exists('saycommand', colors_command):
        es.unregsaycmd(colors_command)
    # Delete Colors Popup Menu from Memory
    popuplib.delete('colors')
    es.msg('#multi #green[Crazy Colors] #defaultby #lightgreenUndead #defaulthas been unloaded!')